Bug 237354 - Review Request: python-meld3 - An HTML/XML templating system for Python
Review Request: python-meld3 - An HTML/XML templating system for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Kuratomi
Fedora Package Reviews List
:
Depends On:
Blocks: 237344
  Show dependency treegraph
 
Reported: 2007-04-20 19:52 EDT by Mike McGrath
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-22 12:20:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
toshio: fedora‑review+


Attachments (Terms of Use)
Patch to build on x86_64 (1005 bytes, patch)
2007-04-21 20:26 EDT, Toshio Kuratomi
no flags Details | Diff

  None (edit)
Description Mike McGrath 2007-04-20 19:52:48 EDT
Spec: http://mmcgrath.net/~mmcgrath/meld3/python-meld3.spec
SRPM: http://mmcgrath.net/~mmcgrath/meld3/python-meld3-0.6-1fc6.src.rpm
Description: 
meld3 is an HTML/XML templating system for Python 2.3+ which keeps template
markup and dynamic rendering logic separate from one another. See
http://www.entrian.com/PyMeld for a treatise on the benefits of this pattern.
Comment 1 Toshio Kuratomi 2007-04-21 20:26:15 EDT
Created attachment 153247 [details]
Patch to build on x86_64

MD5Sum
778b2ac28cbdc3932774246791884973  python-meld3-0.6-1fc6.src.rpm

Needswork:
* Does not build on x86_64.  Since the module includes a binary module, it ends

  up in sitearch (%{_libdir}/python2.?/site-packages, rather than /usr/lib).
  We can use the sitearch macro instead of the sitelib macro to find this.
  Patch for spec file attached.

Should do:
* meld3 doesn't contain a file with the license in it.	Should email the author

  to add that in his next tarball.

Good:
* rpmlint output: 
  W: python-meld3 invalid-license ZPL
  W: python-meld3 invalid-license ZPL
  W: python-meld3-debuginfo invalid-license ZPL
  
  ZPL is the Zope Public License, This is ignorable.

* Package follows package naming guidelines.
* Spec file named appropriately.
* Package licensed under the Zope Public License v2 which is FSF approved.
* Spec file is legible American English.
* Source matches upstream.
* All build requirements are listed.
* No locale files.
* Not a dynamic library.
* Not relocatable.
* Package owns all files nad directories it installs.
* Package does not own files owned by other packages.
* %files has a proper defattr line.
* Consistent use of macros.
* Code not content.

With the attached patch, this package is APPROVED.
Comment 2 Mike McGrath 2007-04-22 12:20:30 EDT
Imported and building.  Updates were made and upstream has been notified about
license issue.


Note You need to log in before you can comment on or make changes to this bug.